CommandArgument (Grails 6.0.0)

Package: org.grails.cli.profile

## [Groovy] Class CommandArgument

- org.grails.cli.profile.CommandArgument

-     @groovy.transform.CompileStatic
      class CommandArgument
      extends java.lang.Object

  Represents argument to a command @since

  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.String` | `description` | The description of the argument
    `private java.lang.String` | `name` | The name of the argument
    `private boolean` | `required` | Whether the argument is required or not
    `private java.lang.String` | `target` | The string argument this argument translates into

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `description` The description of the argument
    `java.lang.String` | `name` The name of the argument
    `boolean` | `required` Whether the argument is required or not
    `java.lang.String` | `target` The string argument this argument translates into

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CommandArgument ()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.lang.String description

      The description of the argument

    - #### private java.lang.String name

      The name of the argument

    - #### private boolean required

      Whether the argument is required or not

    - #### private java.lang.String target

      The string argument this argument translates into

  - ### Property Detail

    - #### java.lang.String description

      The description of the argument

    - #### java.lang.String name

      The name of the argument

    - #### boolean required

      Whether the argument is required or not

    - #### java.lang.String target

      The string argument this argument translates into

  - ### Constructor Detail

    - #### CommandArgument()